Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class JMSSessionProxy

    java.lang.Object
      org.codehaus.activemq.ra.JMSSessionProxy

All Implemented Interfaces:
  QueueSession, java.lang.Runnable, Session, TopicSession

public class JMSSessionProxy
extends java.lang.Object
implements Session, QueueSession, TopicSession

Acts as a pass through proxy for a JMS Session object. It intercepts events that are of interest of the ActiveMQManagedConnection.

Version:
  $Revision: 1.8 $

Field Summary
`(package private) boolean` | `closed`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Constructor Summary
`JMSSessionProxy(ActiveMQManagedConnection managedConnection)`

Method Summary
`void` | `cleanup()` Called by the ActiveMQManagedConnection to invalidate this proxy.
`void` | `close()`
`void` | `commit()`
`QueueBrowser` | `createBrowser(Queue queue)`
`QueueBrowser` | `createBrowser(Queue queue, java.lang.String messageSelector)`
`BytesMessage` | `createBytesMessage()`
`MessageConsumer` | `createConsumer(Destination destination)`
`MessageConsumer` | `createConsumer(Destination destination, java.lang.String messageSelector)`
`MessageConsumer` | `createConsumer(Destination destination, java.lang.String messageSelector, boolean NoLocal)`
`TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name)`
`TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name, java.lang.String messageSelector, boolean noLocal)`
`MapMessage` | `createMapMessage()`
`Message` | `createMessage()`
`ObjectMessage` | `createObjectMessage()`
`ObjectMessage` | `createObjectMessage(java.io.Serializable object)`
`MessageProducer` | `createProducer(Destination destination)`
`TopicPublisher` | `createPublisher(Topic topic)`
`Queue` | `createQueue(java.lang.String queueName)`
`QueueReceiver` | `createReceiver(Queue queue)`
`QueueReceiver` | `createReceiver(Queue queue, java.lang.String messageSelector)`
`QueueSender` | `createSender(Queue queue)`
`StreamMessage` | `createStreamMessage()`
`TopicSubscriber` | `createSubscriber(Topic topic)`
`TopicSubscriber` | `createSubscriber(Topic topic, java.lang.String messageSelector, boolean noLocal)`
`TemporaryQueue` | `createTemporaryQueue()`
`TemporaryTopic` | `createTemporaryTopic()`
`TextMessage` | `createTextMessage()`
`TextMessage` | `createTextMessage(java.lang.String text)`
`Topic` | `createTopic(java.lang.String topicName)`
`int` | `getAcknowledgeMode()`
`MessageListener` | `getMessageListener()`
`boolean` | `getTransacted()`
`void` | `recover()`
`void` | `rollback()`
`void` | `run()`
`void` | `setMessageListener(MessageListener listener)`
`void` | `unsubscribe(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### closed

    boolean closed

Constructor Detail

### JMSSessionProxy

    public JMSSessionProxy(ActiveMQManagedConnection managedConnection)

Method Detail

### close

    public void close()
               throws JMSException

  Specified by:
    `close` in interface `Session`
  Throws:
    `JMSException`

### cleanup

    public void cleanup()

  Called by the ActiveMQManagedConnection to invalidate this proxy.

### commit

    public void commit()
                throws JMSException

  Specified by:
    `commit` in interface `Session`
  Throws:
    `JMSException`

### createBrowser

    public QueueBrowser createBrowser(Queue queue)
                               throws JMSException

  Specified by:
    `createBrowser` in interface `Session`
  Parameters:
    `queue` -
  Returns:
  Throws:
    `JMSException`

### createBrowser

    public QueueBrowser createBrowser(Queue queue,
                                      java.lang.String messageSelector)
                               throws JMSException

  Specified by:
    `createBrowser` in interface `Session`
  Parameters:
    `queue` -
    `messageSelector` -
  Returns:
  Throws:
    `JMSException`

### createBytesMessage

    public BytesMessage createBytesMessage()
                                    throws JMSException

  Specified by:
    `createBytesMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination destination)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `Session`
  Parameters:
    `destination` -
  Returns:
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination destination,
                                          java.lang.String messageSelector)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `Session`
  Parameters:
    `destination` -
    `messageSelector` -
  Returns:
  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination destination,
                                          java.lang.String messageSelector,
                                          boolean NoLocal)
                                   throws JMSException

  Specified by:
    `createConsumer` in interface `Session`
  Parameters:
    `destination` -
    `messageSelector` -
    `NoLocal` -
  Returns:
  Throws:
    `JMSException`

### createDurableSubscriber

    public TopicSubscriber createDurableSubscriber(Topic topic,
                                                   java.lang.String name)
                                            throws JMSException

  Specified by:
    `createDurableSubscriber` in interface `Session`
  Parameters:
    `topic` -
    `name` -
  Returns:
  Throws:
    `JMSException`

### createDurableSubscriber

    public TopicSubscriber createDurableSubscriber(Topic topic,
                                                   java.lang.String name,
                                                   java.lang.String messageSelector,
                                                   boolean noLocal)
                                            throws JMSException

  Specified by:
    `createDurableSubscriber` in interface `Session`
  Parameters:
    `topic` -
    `name` -
    `messageSelector` -
    `noLocal` -
  Returns:
  Throws:
    `JMSException`

### createMapMessage

    public MapMessage createMapMessage()
                                throws JMSException

  Specified by:
    `createMapMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createMessage

    public Message createMessage()
                          throws JMSException

  Specified by:
    `createMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessage createObjectMessage()
                                      throws JMSException

  Specified by:
    `createObjectMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessage createObjectMessage(java.io.Serializable object)
                                      throws JMSException

  Specified by:
    `createObjectMessage` in interface `Session`
  Parameters:
    `object` -
  Returns:
  Throws:
    `JMSException`

### createProducer

    public MessageProducer createProducer(Destination destination)
                                   throws JMSException

  Specified by:
    `createProducer` in interface `Session`
  Parameters:
    `destination` -
  Returns:
  Throws:
    `JMSException`

### createQueue

    public Queue createQueue(java.lang.String queueName)
                      throws JMSException

  Specified by:
    `createQueue` in interface `Session`
  Parameters:
    `queueName` -
  Returns:
  Throws:
    `JMSException`

### createStreamMessage

    public StreamMessage createStreamMessage()
                                      throws JMSException

  Specified by:
    `createStreamMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createTemporaryQueue

    public TemporaryQueue createTemporaryQueue()
                                        throws JMSException

  Specified by:
    `createTemporaryQueue` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createTemporaryTopic

    public TemporaryTopic createTemporaryTopic()
                                        throws JMSException

  Specified by:
    `createTemporaryTopic` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createTextMessage

    public TextMessage createTextMessage()
                                  throws JMSException

  Specified by:
    `createTextMessage` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### createTextMessage

    public TextMessage createTextMessage(java.lang.String text)
                                  throws JMSException

  Specified by:
    `createTextMessage` in interface `Session`
  Parameters:
    `text` -
  Returns:
  Throws:
    `JMSException`

### createTopic

    public Topic createTopic(java.lang.String topicName)
                      throws JMSException

  Specified by:
    `createTopic` in interface `Session`
  Parameters:
    `topicName` -
  Returns:
  Throws:
    `JMSException`

### getAcknowledgeMode

    public int getAcknowledgeMode()
                           throws JMSException

  Specified by:
    `getAcknowledgeMode` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()
                                       throws JMSException

  Specified by:
    `getMessageListener` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### getTransacted

    public boolean getTransacted()
                          throws JMSException

  Specified by:
    `getTransacted` in interface `Session`
  Returns:
  Throws:
    `JMSException`

### recover

    public void recover()
                 throws JMSException

  Specified by:
    `recover` in interface `Session`
  Throws:
    `JMSException`

### rollback

    public void rollback()
                  throws JMSException

  Specified by:
    `rollback` in interface `Session`
  Throws:
    `JMSException`

### setMessageListener

    public void setMessageListener(MessageListener listener)
                            throws JMSException

  Specified by:
    `setMessageListener` in interface `Session`
  Parameters:
    `listener` -
  Throws:
    `JMSException`

### unsubscribe

    public void unsubscribe(java.lang.String name)
                     throws JMSException

  Specified by:
    `unsubscribe` in interface `Session`
  Parameters:
    `name` -
  Throws:
    `JMSException`

### createReceiver

    public QueueReceiver createReceiver(Queue queue)
                                 throws JMSException

  Specified by:
    `createReceiver` in interface `QueueSession`
  Parameters:
    `queue` -
  Returns:
  Throws:
    `JMSException`

### createReceiver

    public QueueReceiver createReceiver(Queue queue,
                                        java.lang.String messageSelector)
                                 throws JMSException

  Specified by:
    `createReceiver` in interface `QueueSession`
  Parameters:
    `queue` -
    `messageSelector` -
  Returns:
  Throws:
    `JMSException`

### createSender

    public QueueSender createSender(Queue queue)
                             throws JMSException

  Specified by:
    `createSender` in interface `QueueSession`
  Parameters:
    `queue` -
  Returns:
  Throws:
    `JMSException`

### createPublisher

    public TopicPublisher createPublisher(Topic topic)
                                   throws JMSException

  Specified by:
    `createPublisher` in interface `TopicSession`
  Parameters:
    `topic` -
  Returns:
  Throws:
    `JMSException`

### createSubscriber

    public TopicSubscriber createSubscriber(Topic topic)
                                     throws JMSException

  Specified by:
    `createSubscriber` in interface `TopicSession`
  Parameters:
    `topic` -
  Returns:
  Throws:
    `JMSException`

### createSubscriber

    public TopicSubscriber createSubscriber(Topic topic,
                                            java.lang.String messageSelector,
                                            boolean noLocal)
                                     throws JMSException

  Specified by:
    `createSubscriber` in interface `TopicSession`
  Parameters:
    `topic` -
    `messageSelector` -
    `noLocal` -
  Returns:
  Throws:
    `JMSException`

### run

    public void run()

  Specified by:
    `run` in interface `Session`
  See Also:
    `Session.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.